BSON_APPEND_UNDEFINED(3)

SYNOPSIS

            #define BSON_APPEND_UNDEFINED(b, key) \
               bson_append_undefined (b, key, (int) strlen (key))

            bool
            bson_append_undefined (bson_t *bson, const char *key, int key_length);

PARAMETERS

    •   bson: A bson_t.

    •   key: An ASCII C string containing the name of the field.

    •   key_length: The length of key in bytes, or -1 to determine the length with strlen().

DESCRIPTION

The bson_append_undefined() function shall append a new element to bson of type BSON_TYPE_UNDEFINED. Undefined is common in Javascript. However, this element type is deprecated and should not be used in new code.

RETURNS

Returns true if the operation was applied successfully. The function will fail if appending the value grows bson larger than INT32_MAX.

AUTHOR
MongoDB, Inc

COPYRIGHT
2009-present, MongoDB, Inc.